
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.XmJtbEntity;
import org.sky.scientific.pojo.vo.XmJtbVO;
import java.util.Objects;

/**
 * 科研项目-项目结题表 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-07-01
 */
public class XmJtbWrapper extends BaseEntityWrapper<XmJtbEntity, XmJtbVO> {

	public static XmJtbWrapper build() {
		return new XmJtbWrapper();
 	}

	@Override
	public XmJtbVO entityVO(XmJtbEntity xmJtb) {
		XmJtbVO xmJtbVO = Objects.requireNonNull(BeanUtil.copyProperties(xmJtb, XmJtbVO.class));

		//User createUser = UserCache.getUser(xmJtb.getCreateUser());
		//User updateUser = UserCache.getUser(xmJtb.getUpdateUser());
		//xmJtbVO.setCreateUserName(createUser.getName());
		//xmJtbVO.setUpdateUserName(updateUser.getName());

		return xmJtbVO;
	}


}
